<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE list SYSTEM "../../templates/skills.dtd">
<list>
  <skill id="4001" levels="12" name="NPC Wind Strike">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#reuseDelay"> 8000 8000 8000 8000 8000 8000 8000 6000 6000 6000 6000 6000 </table>
    <table name="#hitTime"> 4000 4000 4000 4000 4000 4000 4000 1000 1000 1000 1000 1000 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="element" val="2"/> <!-- Wind -->
    <set name="elementPower" val="20"/>
    <set name="reuseDelay" val="#reuseDelay"/>
    <set name="hitTime" val="#hitTime"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4002" levels="12" name="NPC HP Drain">
    <table name="#mpInitialConsume"> 3 5 7 9 12 15 18 19 20 21 21 21 </table>
    <table name="#mpConsume"> 13 22 30 39 50 62 73 77 81 84 86 87 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="element" val="5"/> <!-- Dark -->
    <set name="elementPower" val="20"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="DRAIN"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="absorbPart" val="0.2"/> <!-- absorbs 20% of damage -->
  </skill>
  <skill id="4003" levels="1" name="Golem Body">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="1"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="bowWpnVuln" val="0.2"/>
      <mul order="0x30" stat="daggerWpnVuln" val="0.7"/>
      <mul order="0x30" stat="bluntWpnVuln" val="1.1"/>
    </for>
  </skill>
  <skill id="4004" levels="1" name="Fragile Skull">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="1"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="bluntWpnVuln" val="1.1"/>
    </for>
  </skill>
  <skill id="4005" levels="1" name="Floating Target">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="1"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <sub order="0x40" stat="windRes" val="15"/>
      <mul order="0x30" stat="bowWpnVuln" val="1.1"/>
    </for>
  </skill>
  <skill id="4006" levels="1" name="Burning Wood">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="1"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <sub order="0x40" stat="fireRes" val="15"/>
      <mul order="0x30" stat="poisonVuln" val="0.5"/>
    </for>
  </skill>
  <skill id="4007" levels="1" name="Immortal Life">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="1"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="element" val="4"/> <!-- Holy -->
    <for>
      <add order="0x40" stat="holyRes" val="20"/>
      <add order="0x40" stat="holyPower" val="20"/>
    </for>
  </skill>
  <skill id="4008" levels="1" name="Insect Skin">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="1"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <sub order="0x40" stat="fireRes" val="15"/>
    </for>
  </skill>
  <skill id="4009" levels="6" name="Resist Fire">
    <table name="#vuln"> 15 30 50 70 90 100 </table>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="6000"/>
    <set name="skillType" val="BUFF"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <add order="0x40" stat="fireRes" val="#vuln"/>
    </for>
  </skill>
  <skill id="4010" levels="6" name="Resist Water">
    <table name="#vuln"> 15 30 50 70 90 100 </table>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="6000"/>
    <set name="skillType" val="BUFF"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <add order="0x40" stat="waterRes" val="#vuln"/>
    </for>
  </skill>
  <skill id="4011" levels="6" name="Resist Wind">
    <table name="#vuln"> 15 30 50 70 90 100 </table>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="6000"/>
    <set name="skillType" val="BUFF"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <add order="0x40" stat="windRes" val="#vuln"/>
    </for>
  </skill>
  <skill id="4012" levels="1" name="Resist Earth">
    <table name="#vuln"> 15 30 50 70 90 100 </table>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="6000"/>
    <set name="skillType" val="BUFF"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <add order="0x40" stat="earthRes" val="#vuln"/>
    </for>
  </skill>
  <skill id="4013" levels="1" name="Resistance To Fire, Vulnerable To Water">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="1"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <add order="0x40" stat="fireRes" val="50"/>
      <sub order="0x40" stat="waterRes" val="15"/>
    </for>
  </skill>
  <skill id="4014" levels="1" name="Resistance To Water, Vulnerable To Fire">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="1"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <add order="0x40" stat="waterRes" val="50"/>
      <sub order="0x40" stat="fireRes" val="15"/>
    </for>
  </skill>
  <skill id="4015" levels="1" name="Resistance To Wind, Vulnerable To Earth">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="1"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <add order="0x40" stat="windRes" val="50"/>
      <sub order="0x40" stat="earthRes" val="15"/>
    </for>
  </skill>
  <skill id="4016" levels="1" name="Resistance To Earth, Vulnerable To Wind">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="1"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <add order="0x40" stat="earthRes" val="50"/>
      <sub order="0x40" stat="windRes" val="15"/>
    </for>
  </skill>
  <skill id="4017" levels="1" name="Queen Ant Brandish">
    <!-- Queen Ant Skills -->
    <set name="magicLvl" val="40"/>
    <set name="power" val="271"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="250"/>
    <set name="hitTime" val="1300"/>
    <set name="coolTime" val="500"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
  </skill>
  <skill id="4018" levels="1" name="Decrease Speed">
    <!-- Queen Ant Skills -->
    <set name="magicLvl" val="40"/>
    <set name="power" val="542"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="2000"/>
    <set name="coolTime" val="500"/>
    <set name="lvlDepend" val="3"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <set name="castRange" val="500"/>
    <set name="effectRange" val="1000"/>
    <for>
      <effect name="Debuff" time="30" val="0" effectPower="70" effectType="DEBUFF" stackOrder="0.5" stackType="RunSpeedDown">
        <mul order="0x30" stat="runSpd" val="0.5"/>
      </effect>
    </for>
  </skill>
  <skill id="4019" levels="1" name="Decrease Speed">
    <!-- Queen Ant Skills -->
    <set name="magicLvl" val="40"/>
    <set name="power" val="40"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="200"/>
    <set name="hitTime" val="1700"/>
    <set name="coolTime" val="500"/>
    <set name="lvlDepend" val="3"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="800"/>
    <set name="effectRange" val="1500"/>
    <for>
      <effect name="Debuff" time="30" val="0" stackOrder="0.5" stackType="RunSpeedDown">
        <mul order="0x30" stat="runSpd" val="0.5"/>
      </effect>
    </for>
  </skill>
  <skill id="4020" levels="1" name="Heal Queen Ant1">
    <set name="magicLvl" val="35"/>
    <set name="power" val="10845"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="3000"/>
    <set name="reuseDelay" val="10000"/>
    <set name="skillType" val="HEAL"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="aggroPoints" val="100"/>
  </skill>
  <skill id="4021" levels="1" name="Queen Ant">
    <!-- Queen Ant Skills -->
    <set name="magicLvl" val="40"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <sub order="0x40" stat="fireRes" val="50"/>
      <mul order="0x30" stat="bowWpnVuln" val="0.2"/>
    </for>
  </skill>
  <skill id="4022" levels="1" name="Body Of Nurse Ant">
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="PASSIVE"/>
    <set name="magicLvl" val="35"/>
    <set name="operateType" val="OP_PASSIVE"/>
  </skill>
  <skill id="4023" levels="1" name="Body Of Royal Guard Ant">
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="PASSIVE"/>
    <set name="magicLvl" val="35"/>
    <set name="operateType" val="OP_PASSIVE"/>
  </skill>
  <skill id="4024" levels="1" name="Heal Queen Ant2">
    <set name="power" val="10845"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="3000"/>
    <set name="skillType" val="HEAL"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="35"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="aggroPoints" val="100"/>
  </skill>
  <skill id="4025" levels="12" name="Master Recharge">
    <table name="#magicLvl"> 17 27 37 47 57 67 77 82 87 92 97 102 </table>
    <table name="#mpInitialConsume"> 4 7 10 14 18 22 26 27 29 30 30 31 </table>
    <table name="#mpConsume"> 19 31 42 56 72 88 104 110 116 120 122 124 </table>
    <table name="#power"> 23 38 52 70 90 110 129 138 144 149 153 155 </table>
    <table name="#aggroPoints"> 138 204 285 379 477 566 635 659 676 689 700 709 </table>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="MANARECHARGE"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="400"/>
    <set name="effectRange" val="900"/>
    <set name="aggroPoints" val="#aggroPoints"/>
  </skill>
  <skill id="4026" levels="1" name="Gludio Flame">
    <!-- Done by DJ MELERIX -->
    <set name="mpInitialConsume" val="5"/>
    <set name="mpConsume" val="22"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="4000"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="60"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="power" val="43"/>
    <set name="reuseDelay" val="15000"/>
    <set name="skillRadius" val="200"/>
    <set name="skillType" val="MDAM"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="castRange" val="900"/>
    <set name="effectRange" val="1400"/>
  </skill>
  <skill id="4027" levels="1" name="Gludio Heal">
    <!-- Done by DJ MELERIX -->
    <set name="mpInitialConsume" val="19"/>
    <set name="mpConsume" val="78"/>
    <set name="hitTime" val="5000"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="60"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="power" val="627"/>
    <set name="reuseDelay" val="10000"/>
    <set name="skillType" val="HEAL"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4028" levels="3" name="NPC Might">
    <table name="#pAtk"> 1.08 1.12 1.15 </table>
    <table name="#magicLvl"> 20 40 70 </table>
    <table name="#mpInitialConsume"> 2 3 6 </table>
    <table name="#mpConsume"> 8 14 26 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect name="Buff" time="1200" val="0" stackOrder="#pAtk" stackType="pa_up">
        <mul order="0x30" stat="pAtk" val="#pAtk"/>
      </effect>
    </for>
  </skill>
  <skill id="4029" levels="3" name="NPC Shield">
    <table name="#pDef"> 1.08 1.12 1.15 </table>
    <table name="#mpInitialConsume"> 2 3 6 </table>
    <table name="#mpConsume"> 8 14 26 </table>
    <table name="#magicLvl"> 20 40 70 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect name="Buff" time="1200" val="0" stackOrder="#pDef" stackType="pd_up">
        <mul order="0x30" stat="pDef" val="#pDef"/>
      </effect>
    </for>
  </skill>
  <skill id="4030" levels="3" name="NPC Clan Might">
    <table name="#pAtk"> 1.08 1.12 1.15 </table>
    <table name="#mpInitialConsume"> 2 3 6 </table>
    <table name="#mpConsume"> 8 14 26 </table>
    <table name="#magicLvl"> 20 40 70 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_CLAN"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="BUFF"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="400"/>
    <set name="effectRange" val="900"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect name="Buff" time="1200" val="0" stackOrder="#pAtk" stackType="pa_up">
        <mul order="0x30" stat="pAtk" val="#pAtk"/>
      </effect>
    </for>
  </skill>
  <skill id="4031" levels="3" name="NPC Clan Aegis">
    <table name="#pDef"> 1.08 1.12 1.15 </table>
    <table name="#mpInitialConsume"> 2 3 6 </table>
    <table name="#mpConsume"> 8 14 26 </table>
    <table name="#magicLvl"> 20 40 70 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_CLAN"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="BUFF"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="400"/>
    <set name="effectRange" val="900"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect name="Buff" time="1200" val="0" stackOrder="#pDef" stackType="pd_up">
        <mul order="0x30" stat="pDef" val="#pDef"/>
      </effect>
    </for>
  </skill>
  <skill id="4032" levels="12" name="NPC Strike">
    <table name="#mpInitialConsume"> 2 4 5 7 10 12 14 15 16 16 16 17 </table>
    <table name="#mpConsume"> 10 16 22 30 40 48 56 60 64 66 67 68 </table>
    <table name="#power"> 46 105 219 417 722 1136 1626 1876 2112 2320 2487 2617 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="6000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="800"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
  </skill>
  <skill id="4033" levels="12" name="NPC Burn">
    <table name="#mpInitialConsume"> 3 5 8 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 14 23 32 42 54 66 78 83 87 90 92 93 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="200"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="interruptTime" val="3500"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
  </skill>
  <skill id="4034" levels="12" name="Decrease Speed">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#power"> 11 16 23 31 41 51 61 66 70 73 76 78 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="3000"/>
    <set name="coolTime" val="200"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect name="Debuff" time="30" val="0" effectPower="60" effectType="DEBUFF" stackOrder="0.7" stackType="RunSpeedDown">
        <mul order="0x30" stat="runSpd" val="0.7"/>
      </effect>
    </for>
  </skill>
  <skill id="4035" levels="12" name="Poison">
    <table name="#dmg"> 36 54 72 93 114 132 144 144 150 150 153 153 </table>
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 16 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 66 61 62 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <table name="#abnormalLvl"> 2 3 4 5 6 7 8 8 9 9 10 10 </table>
    <set name="abnormalLvl" val="#abnormalLvl"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="70"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="interruptTime" val="1500"/>
    <set name="skillType" val="POISON"/>
    <set name="isDebuff" val="true"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect count="10" name="DamOverTime" time="3" val="#dmg" abnormal="poison"/>
    </for>
  </skill>
  <skill id="4036" levels="12" name="Poison">
    <table name="#dmg"> 36 54 72 93 114 132 144 144 150 150 153 153 </table>
    <table name="#mpInitialConsume"> 3 5 8 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 14 23 32 42 54 66 78 83 87 90 92 93 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <table name="#abnormalLvl"> 2 3 4 5 6 7 8 8 9 9 10 10 </table>
    <set name="abnormalLvl" val="#abnormalLvl"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="35"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="200"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="interruptTime" val="1500"/>
    <set name="skillType" val="POISON"/>
    <set name="isDebuff" val="true"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="500"/>
    <set name="effectRange" val="1000"/>
    <for>
      <effect count="10" name="DamOverTime" time="3" val="#dmg" abnormal="poison"/>
    </for>
  </skill>
  <skill id="4037" levels="2" name="Decrease P. Atk.">
    <table name="#pAtk"> 0.8 0.77 </table>
    <table name="#mpInitialConsume"> 4 7 13 </table>
    <table name="#mpConsume"> 16 28 52 </table>
    <table name="#magicLvl"> 30 70 </table>
    <table name="#time"> 10 15 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="70"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="isDebuff" val="true"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect name="Debuff" time="#time" val="0" stackOrder="#pAtk" stackType="pAtkDown">
        <mul order="0x30" stat="pAtk" val="#pAtk"/>
      </effect>
    </for>
  </skill>
  <skill id="4038" levels="5" name="Decrease Atk. Spd.">
    <table name="#pAtkSpd"> 0.83 0.8 0.8 0.77 0.77 </table>
    <table name="#mpInitialConsume"> 2 4 5 9 13 </table>
    <table name="#mpConsume"> 10 16 21 36 52 </table>
    <table name="#magicLvl"> 10 20 30 50 70 </table>
    <table name="#time"> 5 10 10 15 15 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect name="Debuff" time="#time" val="0" stackOrder="#pAtkSpd" stackType="attack_time_up">
        <mul order="0x30" stat="pAtkSpd" val="#pAtkSpd"/>
      </effect>
    </for>
  </skill>
  <skill id="4039" levels="12" name="NPC MP Drain">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#power"> 34 57 78 105 134 165 194 206 216 224 229 232 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="MANADAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4040" levels="12" name="NPC Bow Attack">
    <table name="#mpInitialConsume"> 5 8 11 15 19 24 28 30 31 33 33 34 </table>
    <table name="#mpConsume"> 20 32 44 60 79 96 113 120 127 132 134 136 </table>
    <table name="#power"> 122 279 584 1110 1920 3030 4336 5002 5632 6187 6632 6978 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="17000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="700"/>
    <set name="effectRange" val="1200"/>
  </skill>
  <skill id="4041" levels="2" name="Cruma Blaze">
    <table name="#mpInitialConsume"> 8 9 </table>
    <table name="#mpConsume"> 32 36 </table>
    <table name="#power"> 60 68 </table>
    <table name="#magicLvl"> 45 50 </table>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="4000"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="power" val="#power"/>
    <set name="skillType" val="MDAM"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4042" levels="1" name="Nurka Blaze">
    <set name="mpInitialConsume" val="8"/>
    <set name="mpConsume" val="32"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="4000"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="45"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="power" val="60"/>
    <set name="skillType" val="MDAM"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4043" levels="1" name="Partisan Flame">
    <set name="mpInitialConsume" val="12"/>
    <set name="mpConsume" val="48"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="hitTime" val="4000"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="45"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="power" val="30"/>
    <set name="reuseDelay" val="15000"/>
    <set name="skillRadius" val="200"/>
    <set name="skillType" val="MDAM"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="castRange" val="400"/>
    <set name="effectRange" val="900"/>
  </skill>
  <skill id="4044" levels="1" name="Partisan Heal">
    <set name="mpInitialConsume" val="14"/>
    <set name="mpConsume" val="56"/>
    <set name="hitTime" val="5000"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="45"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="power" val="427"/>
    <set name="reuseDelay" val="10000"/>
    <set name="skillType" val="HEAL"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="aggroPoints" val="100"/>
  </skill>
  <skill id="4045" levels="1" name="Resist Full Magic Attack">
    <set name="magicLvl" val="50"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="rootVuln" val="0.1"/>
      <mul order="0x30" stat="sleepVuln" val="0.1"/>
      <mul order="0x30" stat="stunVuln" val="0.1"/>
      <mul order="0x30" stat="confusionVuln" val="0"/>
      <mul order="0x30" stat="paralyzeVuln" val="0.1"/>
      <mul order="0x30" stat="derangementVuln" val="0"/>
    </for>
  </skill>
  <skill id="4046" levels="12" name="Sleep">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="2"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="interruptTime" val="1600"/>
    <set name="skillType" val="SLEEP"/>
    <set name="isDebuff" val="true"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect name="Sleep" time="30" val="0" stackOrder="1" stackType="sleep"/>
    </for>
  </skill>
  <skill id="4047" levels="12" name="Hold">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="2"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="ROOT"/>
    <set name="isMagic" val="true"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect name="Root" time="30" val="0" stackOrder="1" stackType="Root"/>
    </for>
  </skill>
  <skill id="4048" levels="3" name="NPC Dash">
    <!-- Done by dc -->
    <table name="#runSpd"> 1.5 1.8 2 </table>
    <set name="mpInitialConsume" val="2"/>
    <set name="mpConsume" val="9"/>
    <set name="hitTime" val="1000"/>
    <set name="magicLvl" val="10"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Buff" time="20" val="0" stackOrder="#runSpd" stackType="speed_up_special">
        <mul order="0x30" stat="runSpd" val="#runSpd"/>
      </effect>
    </for>
  </skill>
  <skill id="4049" levels="16" name="Cubic Drain">
    <!-- Cubic Skill -->
    <table name="#power"> 26 31 36 41 45 48 51 54 57 61 64 67 71 74 77 81 </table>
    <table name="#magicLvl"> 40 46 52 58 62 66 70 74 76 78 80 81 82 83 84 85 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="element" val="2"/> <!-- Wind -->
    <set name="elementPower" val="20"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
  </skill>
  <skill id="4050" levels="16" name="Cubic Drain">
    <!-- Cubic Skill -->
    <table name="#power"> 29 33 39 43 46 50 53 56 59 62 65 68 71 74 77 80 </table>
    <table name="#magicLvl"> 43 49 55 60 64 68 72 74 76 78 80 81 82 83 84 85 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="DRAIN"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="absorbPart" val="0.4"/> <!-- absorbs 40% of damage -->
  </skill>
  <skill id="4051" levels="16" name="Cubic Heal">
    <!-- Cubic Skill -->
    <table name="#power"> 201 241 281 314 339 361 382 400 420 440 460 480 500 520 540 560 </table>
    <table name="#magicLvl"> 43 49 55 60 64 68 72 74 76 78 80 81 82 83 84 85 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="HEAL"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
  </skill>
  <skill id="4052" levels="15" name="Poison">
    <!-- Cubic Skill -->
    <table name="#dmg"> 93 114 132 132 132 144 144 144 156 156 156 162 162 171 171 </table>
    <table name="#magicLvl"> 49 55 60 64 68 72 74 76 78 80 81 82 83 84 85 </table>
    <table name="#abnormalLvl"> 5 6 7 7 7 8 8 8 8 8 8 8 8 8 8 </table>
    <set name="abnormalLvl" val="#abnormalLvl"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="power" val="70"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="POISON"/>
    <set name="isDebuff" val="true"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <!-- retail value: 31 38 44 44 44 48/sec; stat update every 3 sec -->
      <effect count="10" name="DamOverTime" time="3" val="#dmg" abnormal="poison"/>
    </for>
  </skill>
  <skill id="4053" levels="16" name="Decrease P. Atk.">
    <!-- Cubic Skill -->
    <table name="#magicLvl"> 40 46 52 58 62 66 70 74 76 78 80 81 82 83 84 85 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="2"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="isMagic" val="true"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Debuff" time="30" val="0" stackOrder="0.77" stackType="pAtkDown">
        <mul order="0x30" stat="pAtk" val="0.77"/>
      </effect>
    </for>
  </skill>
  <skill id="4054" levels="16" name="Decrease P. Def.">
    <!-- Cubic Skill -->
    <table name="#magicLvl"> 40 46 52 58 62 66 70 74 76 78 80 81 82 83 84 85 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="2"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="isDebuff" val="true"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Debuff" time="30" val="0" stackOrder="0.77" stackType="pDefDown">
        <mul order="0x30" stat="pDef" val="0.77"/>
      </effect>
    </for>
  </skill>
  <skill id="4055" levels="16" name="Decrease Atk. Spd.">
    <!-- Cubic Skill -->
    <table name="#magicLvl"> 40 46 52 58 62 66 70 74 76 78 80 81 82 83 84 85 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="2"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="isMagic" val="true"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Debuff" time="30" val="0" stackOrder="0.77" stackType="attack_time_up">
        <mul order="0x30" stat="pAtkSpd" val="0.77"/>
      </effect>
    </for>
  </skill>
  <skill id="4056" levels="1" name="Immortal Attack">
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="PASSIVE"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
  </skill>
  <skill id="4057" levels="1" name="Insect Weak Point">
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="pDef-insects" val="1.15"/>
    </for>
  </skill>
  <skill id="4058" levels="1" name="Plant Weak Point">
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="pDef-animals" val="1.15"/>
    </for>
  </skill>
  <skill id="4059" levels="1" name="Animal Weak Point">
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="pDef-plants" val="1.15"/>
    </for>
  </skill>
  <skill id="4060" levels="1" name="Beast Weak Point">
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="pDef-monsters" val="1.15"/>
    </for>
  </skill>
  <skill id="4061" levels="1" name="Dragon Weak Point">
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="pDef-dragons" val="1.15"/>
    </for>
  </skill>
  <skill id="4062" levels="1" name="Orfen">
    <!-- Orfen Skills -->
    <set name="magicLvl" val="50"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <sub order="0x40" stat="fireRes" val="100"/>
      <mul order="0x30" stat="bowWpnVuln" val="0.2"/>
    </for>
  </skill>
  <skill id="4063" levels="1" name="Paralysis">
    <!-- Orfen Skills -->
    <set name="magicLvl" val="50"/>
    <set name="power" val="916"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="3000"/>
    <set name="skillType" val="PDAM"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="50"/>
    <set name="effectRange" val="500"/>
    <for>
      <effect name="Paralyze" time="120" val="0" effectPower="90" effectType="PARALYZE" stackOrder="1" stackType="paralyze"/>
    </for>
  </skill>
  <skill id="4064" levels="1" name="Paralysis">
    <!-- Orfen Skills -->
    <set name="magicLvl" val="50"/>
    <set name="power" val="30"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="200"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="PARALYZE"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="800"/>
    <set name="effectRange" val="1300"/>
    <for>
      <effect name="Paralyze" time="120" val="0" stackOrder="1" stackType="paralyze"/>
    </for>
  </skill>
  <skill id="4065" levels="12" name="NPC Heal">
    <table name="#mpInitialConsume"> 3 6 8 12 16 19 22 24 25 26 26 26 </table>
    <table name="#mpConsume"> 13 24 35 49 64 78 91 97 101 104 105 105 </table>
    <table name="#power"> 83 151 245 362 494 627 743 789 823 845 853 853 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="HEAL"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="aggroPoints" val="100"/>
  </skill>
  <skill id="4066" levels="12" name="NPC Twister">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="element" val="2"/> <!-- Wind -->
    <set name="elementPower" val="20"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4067" levels="12" name="NPC Mortal Blow">
    <table name="#mpInitialConsume"> 2 4 5 7 10 12 14 15 16 16 16 17 </table>
    <table name="#mpConsume"> 10 16 22 30 40 48 56 60 64 66 67 68 </table>
    <table name="#power"> 137 314 656 1249 2164 3408 4878 5627 6335 6960 7461 7850 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="condition" val="16"/>
    <set name="reuseDelay" val="6000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="800"/>
    <set name="skillType" val="BLOW"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
  </skill>
  <skill id="4068" levels="12" name="Mechanical Cannon">
    <table name="#mpInitialConsume"> 2 4 5 7 10 12 14 15 16 16 16 17 </table>
    <table name="#mpConsume"> 10 16 22 30 40 48 56 60 64 66 67 68 </table>
    <table name="#power"> 46 105 219 417 722 1136 1626 1876 2112 2320 2487 2617 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="6000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="800"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4069" levels="12" name="NPC Curve Beam Cannon">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4070" levels="1" name="Decrease Atk. Spd.">
    <!-- Done by dc -->
    <set name="lvlDepend" val="1"/>
    <set name="power" val="10"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <for>
      <effect name="Debuff" time="5" val="0" stackOrder="0.77" stackType="attack_time_up">
        <mul order="0x30" stat="pAtkSpd" val="0.77"/>
      </effect>
    </for>
  </skill>
  <skill id="4071" levels="6" name="Resist Bow/Crossbow Weapons">
    <table name="#vuln"> 0.85 0.7 0.5 0.3 0.1 0 </table>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="bowWpnVuln" val="#vuln"/>
      <mul order="0x30" stat="crossbowWpnVuln" val="#vuln"/>
    </for>
  </skill>
  <skill id="4072" levels="12" name="Stun">
    <table name="#mpInitialConsume"> 2 4 5 7 10 12 14 15 16 16 16 17 </table>
    <table name="#mpConsume"> 10 16 22 30 40 48 56 60 64 66 67 68 </table>
    <table name="#power"> 16 35 73 139 241 379 542 626 704 774 829 873 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_AURA"/>
    <set name="skillRadius" val="150"/>
    <set name="overHit" val="true"/>
    <set name="reuseDelay" val="6000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="800"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="isDebuff" val="true"/>
    <for>
      <effect name="Stun" time="9" val="0" effectPower="30" effectType="STUN" stackOrder="1" stackType="Stun"/>
    </for>
  </skill>
  <skill id="4073" levels="12" name="Stun">
    <table name="#mpInitialConsume"> 2 4 5 7 10 12 14 15 16 16 16 17 </table>
    <table name="#mpConsume"> 10 16 22 30 40 48 56 60 64 66 67 68 </table>
    <table name="#power"> 16 35 73 139 241 379 542 626 704 774 829 873 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="1"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="overHit" val="true"/>
    <set name="reuseDelay" val="6000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="800"/>
    <set name="isDebuff" val="true"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <for>
      <effect name="Stun" time="9" val="0" effectPower="50" effectType="STUN" stackOrder="1" stackType="Stun"/>
    </for>
  </skill>
  <skill id="4074" levels="2" name="NPC Haste">
    <table name="#magicLvl"> 30 70 </table>
    <table name="#mpInitialConsume"> 2 6 </table>
    <table name="#mpConsume"> 11 26 </table>
    <table name="#pAtkSpd"> 1.15 1.33 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="BUFF"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="400"/>
    <set name="effectRange" val="900"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect name="Buff" time="1200" val="0" stackOrder="#pAtkSpd" stackType="attack_time_down">
        <mul order="0x30" stat="pAtkSpd" val="#pAtkSpd"/>
      </effect>
    </for>
  </skill>
  <skill id="4075" levels="12" name="Stun">
    <table name="#mpInitialConsume"> 2 4 5 7 10 12 14 15 16 16 16 17 </table>
    <table name="#mpConsume"> 10 16 22 30 40 48 56 60 64 66 67 68 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="2"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="isDebuff" val="true"/>
    <set name="reuseDelay" val="6000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="800"/>
    <set name="skillType" val="STUN"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <for>
      <effect name="Stun" time="9" val="0" stackOrder="1" stackType="Stun"/>
    </for>
  </skill>
  <skill id="4076" levels="3" name="Decrease Speed">
    <table name="#runSpd"> 0.85 0.7 0.5 </table>
    <table name="#mpInitialConsume"> 4 7 13 </table>
    <table name="#mpConsume"> 16 28 52 </table>
    <table name="#magicLvl"> 20 40 70 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="2"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="interruptTime" val="1500"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="isMagic" val="true"/>
    <set name="isDebuff" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect name="Debuff" time="30" val="0" stackOrder="#runSpd" stackType="RunSpeedDown">
        <mul order="0x30" stat="runSpd" val="#runSpd"/>
      </effect>
    </for>
  </skill>
  <skill id="4077" levels="12" name="NPC Aura Burn">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#power"> 14 21 30 42 55 68 82 88 93 98 101 104 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1000"/>
    <set name="interruptTime" val="667"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="150"/>
    <set name="effectRange" val="650"/>
  </skill>
  <skill id="4078" levels="12" name="NPC Flamestrike">
    <table name="#mpInitialConsume"> 3 5 8 10 13 16 19 20 21 22 23 23 </table>
    <table name="#mpConsume"> 14 23 32 42 54 66 78 83 87 90 92 93 </table>
    <table name="#power"> 9 13 19 26 34 43 51 55 58 61 63 65 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_AREA"/>
    <set name="skillRadius" val="200"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="500"/>
    <set name="effectRange" val="1000"/>
  </skill>
  <skill id="4079" levels="1" name="Siege Hammer">
    <set name="mpConsume" val="150"/>
    <set name="magicLvl" val="49"/>
    <set name="power" val="266024"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="overHit" val="true"/>
    <set name="reuseDelay" val="5000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="PDAM"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4080" levels="1" name="Dark Heal">
    <set name="mpConsume" val="98"/>
    <set name="magicLvl" val="60"/>
    <set name="power" val="627"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="5000"/>
    <set name="skillType" val="HEAL"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="aggroPoints" val="100"/>
  </skill>
  <skill id="4081" levels="1" name="Pretending to steal">
    <!-- Done by DJ MELERIX -->
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="BUFF"/> <!-- Just Broadcast -->
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="70"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4082" levels="1" name="Poison of Death">
    <set name="power" val="100"/> <!-- Base Land Rate -->
    <set name="isDebuff" val="true"/>
    <set name="isMagic" val="true"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="skillType" val="DEBUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="canBeDispeled" val="false"/>
    <for>
      <effect count="0x7fffffff" name="PoisonOfDeath" time="3" val="60" abnormal="poison"/>
    </for>
  </skill>
  <skill id="4083" levels="1" name="Die! You fool!">
    <set name="magicLvl" val="70"/>
    <set name="power" val="90000"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="800"/>
    <set name="skillType" val="PDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4084" levels="10" name="Resist Physical Attack">
    <!-- Done by dc -->
    <table name="#pDef"> 1.05 1.11 1.17 1.25 1.33 1.43 1.67 2 3.33 10 </table>
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="pDef" val="#pDef"/>
    </for>
  </skill>
  <skill id="4085" levels="1" name="Critical Power">
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <mul order="0x30" stat="cAtk" val="1.25"/>
    </for>
  </skill>
  <skill id="4086" levels="1" name="Critical Chance">
    <!-- Done by dc -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <basemul order="0x30" stat="rCrit" val="0.5"/>
    </for>
  </skill>
  <skill id="4087" levels="12" name="NPC Blaze">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#power"> 18 26 38 52 68 85 102 110 116 122 126 129 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="element" val="0"/> <!-- Fire -->
    <set name="elementPower" val="20"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="MDAM"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
  </skill>
  <skill id="4088" levels="12" name="Bleed">
    <table name="#damage"> 27 39 51 66 81 93 102 102 105 105 108 108 </table>
    <table name="#mpInitialConsume"> 2 4 5 7 10 12 14 15 16 16 16 17 </table>
    <table name="#mpConsume"> 10 16 22 30 40 48 56 60 64 66 67 68 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <table name="#abnormalLvl"> 2 3 4 5 6 7 8 8 9 9 10 10 </table>
    <set name="abnormalLvl" val="#abnormalLvl"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="2"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="100"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="6000"/>
    <set name="hitTime" val="1000"/>
    <set name="coolTime" val="800"/>
    <set name="skillType" val="BLEED"/>
    <set name="isDebuff" val="true"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="40"/>
    <set name="effectRange" val="400"/>
    <for>
      <effect count="7" name="DamOverTime" time="3" val="#damage" abnormal="bleed">
        <mul order="0x30" stat="runSpd" val="0.8"/>
      </effect>
    </for>
  </skill>
  <skill id="4089" levels="1" name="NPC Bear Spirit Totem">
    <set name="mpInitialConsume" val="3"/>
    <set name="mpConsume" val="14"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Buff" time="120" val="0" stackOrder="1" stackType="possession">
        <mul order="0x30" stat="pAtk" val="1.2"/>
        <mul order="0x30" stat="cAtk" val="1.2"/>
        <mul order="0x30" stat="runSpd" val="0.7"/>
      </effect>
    </for>
  </skill>
  <skill id="4090" levels="1" name="NPC Wolf Spirit Totem">
    <set name="mpInitialConsume" val="3"/>
    <set name="mpConsume" val="14"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Buff" time="120" val="0" stackOrder="1.4" stackType="possession">
        <mul order="0x30" stat="runSpd" val="1.2"/>
        <add order="0x40" stat="accCombat" val="3"/>
      </effect>
    </for>
  </skill>
  <skill id="4091" levels="3" name="NPC Ogre Spirit Totem">
    <table name="#mpConsume"> 14 14 15 </table>
    <set name="magicLvl" val="40"/>
    <set name="mpInitialConsume" val="3"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1500"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Grow" time="120" val="0" stackOrder="1" stackType="possession">
        <mul order="0x30" stat="pAtk" val="1.3"/>
        <mul order="0x30" stat="pDef" val="1.3"/>
        <mul order="0x30" stat="mDef" val="1.3"/>
        <mul order="0x30" stat="cAtk" val="1.1"/>
      </effect>
    </for>
  </skill>
  <skill id="4092" levels="1" name="NPC Puma Spirit Totem">
    <set name="mpInitialConsume" val="3"/>
    <set name="mpConsume" val="14"/>
    <set name="magicLvl" val="40"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <for>
      <effect name="Grow" time="120" val="0" stackOrder="1" stackType="possession">
        <add order="0x40" stat="accCombat" val="6"/>
        <mul order="0x30" stat="pAtkSpd" val="1.2"/>
      </effect>
    </for>
  </skill>
  <skill id="4093" levels="1" name="Evasion">
    <!-- Done by dc -->
    <set name="target" val="TARGET_SELF"/>
    <set name="skillType" val="BUFF"/>
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <for>
      <add order="0x40" stat="rEvas" val="4"/>
    </for>
  </skill>
  <skill id="4094" levels="12" name="NPC Cancel Magic">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 65 69 73 76 80 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="300000"/>
    <set name="hitTime" val="6000"/>
    <set name="skillType" val="CANCEL"/> <!-- Needs core support for "CANCEL_ALL" without exceptions -->
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="negateStats" val="BUFF DEBUFF"/>
    <set name="maxNegated" val="5"/>
  </skill>
  <skill id="4095" levels="1" name="Damage Shield">
    <!-- Done by DJ MELERIX -->
    <set name="magicLvl" val="1"/>
    <set name="operateType" val="OP_PASSIVE"/>
    <set name="skillType" val="REFLECT"/>
    <set name="target" val="TARGET_SELF"/>
    <for>
      <add order="0x40" stat="reflectDam" val="20"/>
    </for>
  </skill>
  <skill id="4096" levels="3" name="NPC Hawkeye">
    <table name="#accCombat"> 6 8 10 </table>
    <table name="#pDef"> 0.9 0.9 0.9 </table>
    <table name="#mpInitialConsume"> 2 3 6 </table>
    <table name="#mpConsume"> 8 14 26 </table>
    <table name="#magicLvl"> 20 40 70 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="6000"/>
    <set name="hitTime" val="1000"/>
    <set name="skillType" val="BUFF"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect name="Buff" time="300" val="0" stackOrder="#accCombat" stackType="HawkEye">
        <add order="0x40" stat="accCombat" val="#accCombat"/>
        <mul order="0x30" stat="pDef" val="#pDef"/>
      </effect>
    </for>
  </skill>
  <skill id="4097" levels="12" name="NPC Chant of Life">
    <table name="#hot"> 7 12 18 27 37 46 55 23 32 42 51 58 </table>
    <table name="#mpInitialConsume"> 6 11 17 24 31 39 45 48 50 51 52 52 </table>
    <table name="#mpConsume"> 26 47 70 97 127 156 182 193 201 207 209 209 </table>
    <table name="#power"> 1 2 3 4 5 6 7 8 9 10 11 12 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="#power"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="skillType" val="HOT"/>
    <set name="isMagic" val="true"/>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect count="5" name="HealOverTime" time="3" val="#hot" stackOrder="#hot" stackType="LifeForce"/>
    </for>
  </skill>
  <skill id="4098" levels="12" name="Silence">
    <table name="#mpInitialConsume"> 2 4 5 7 9 11 13 13 14 15 15 15 </table>
    <table name="#mpConsume"> 10 16 21 28 36 44 52 55 58 60 61 62 </table>
    <table name="#magicLvl"> 10 20 30 40 50 60 70 75 80 85 90 95 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="lvlDepend" val="2"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="power" val="80"/> <!-- Base Land Rate -->
    <set name="target" val="TARGET_ONE"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="2000"/>
    <set name="interruptTime" val="1500"/>
    <set name="isDebuff" val="true"/>
    <set name="skillType" val="MUTE"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="600"/>
    <set name="effectRange" val="1100"/>
    <for>
      <effect name="Mute" time="15" val="0" stackOrder="1" stackType="silence"/>
    </for>
  </skill>
  <skill id="4099" levels="2" name="NPC Berserk">
    <!-- Done by dc -->
    <table name="#magicLvl"> 40 70 </table>
    <table name="#mpInitialConsume"> 3 6 </table>
    <table name="#mpConsume"> 14 26 </table>
    <table name="#pAtk"> 1.05 1.08 </table>
    <table name="#pAtkSpd"> 1.05 1.08 </table>
    <table name="#mAtk"> 1.1 1.16 </table>
    <table name="#mAtkSpd"> 1.05 1.08 </table>
    <table name="#runSpd"> 5 8 </table>
    <table name="#pDef"> 0.95 0.92 </table>
    <table name="#mDef"> 0.9 0.84 </table>
    <table name="#rEvas"> 2 4 </table>
    <set name="magicLvl" val="#magicLvl"/>
    <set name="mpInitialConsume" val="#mpInitialConsume"/>
    <set name="mpConsume" val="#mpConsume"/>
    <set name="target" val="TARGET_SELF"/>
    <set name="reuseDelay" val="8000"/>
    <set name="hitTime" val="4000"/>
    <set name="skillType" val="BUFF"/>
    <set name="isMagic" val="true"/>
    <set name="operateType" val="OP_ACTIVE"/>
    <set name="castRange" val="400"/>
    <set name="effectRange" val="900"/>
    <set name="aggroPoints" val="100"/>
    <for>
      <effect name="Buff" time="1200" val="0" stackOrder="1" stackType="berserk">
        <mul order="0x30" stat="pAtk" val="#pAtk"/>
        <mul order="0x30" stat="pAtkSpd" val="#pAtkSpd"/>
        <mul order="0x30" stat="mAtk" val="#mAtk"/>
        <mul order="0x30" stat="mAtkSpd" val="#mAtkSpd"/>
        <add order="0x40" stat="runSpd" val="#runSpd"/>
        <mul order="0x30" stat="mDef" val="#mDef"/>
        <mul order="0x30" stat="pDef" val="#pDef"/>
        <sub order="0x40" stat="rEvas" val="#rEvas"/>
      </effect>
    </for>
  </skill>
</list>
